blob_id stringlengths 40 40 | length_bytes int64 7 488k | source stringlengths 7 488k |
|---|---|---|
6f726f61721f805f326eb50c7a976d963583b4c1 | 109 | #!/bin/bash
# shellcheck source=/dev/null
#
# ~/.bash_profile
[[ -f "$HOME/.bashrc" ]] && . "$HOME/.bashrc"
|
55d1954b3df7e00bac9fa971d4b8b4d41a0747cd | 313 | #!/bin/bash
echo " XSS Scanning"
python Module/XssPy.py -u $TARGET -v
echo "XSS Scanning Finished"
echo "════════════════════════════════════════════════════════════════"
|
af1f06cacbd1e831954c1b2a748cc653c073bcd2 | 14,121 | #!/bin/sh
######################################################################
#
# @file moab.sh
#
# @brief Build information for moab.
#
# @version $Rev$ $Date$
#
# Copyright © 2012-2017, Tech-X Corporation, Boulder, CO.
# See LICENSE file (EclipseLicense.txt) for conditions of use.
#
#####################... |
51dd9b1dce79182105acaa69090a56037b31cc76 | 1,260 | #!/bin/bash
set -e # exit with nonzero exit code if anything fails
# inside this git repo we'll pretend to be a new user
git config user.name "Travis CI"
git config user.email "defrancea@gmail.com"
# The first and only commit to this new Git repo contains all the
# files present with the commit message "Deploy to Git... |
f30fd588543a3ba829cc52a9525a43e1fc00ceeb | 314 | # shellcheck shell=zsh
# Load plugin
plugin_dir=${ZPLUGDIR}/zsh-you-should-use
if [[ ! -e ${plugin_dir} ]]; then
git clone --depth=1 https://github.com/MichaelAquilina/zsh-you-should-use.git ${plugin_dir}
zcompile-many ${plugin_dir}/you-should-use.plugin.zsh
fi
source ${plugin_dir}/you-should-use.plugin.zsh
|
3194f28cecd7f9376c2417b32fb4d7a77d413526 | 282 | # Scrubbed by Glitch 2020-02-09T16:43:19+0000
# Scrubbed by Glitch 2020-02-23T04:52:20+0000
# Scrubbed by Glitch 2020-02-24T18:30:21+0000
# Scrubbed by Glitch 2020-08-04T15:13:28+0000
# Scrubbed by Glitch 2020-09-18T00:08:09+0000
# Scrubbed by Glitch 2020-09-21T12:49:41+0000
|
a3df8acd3a5fa2b46466fac551244a48670184ff | 4,897 | # Using Debian GNU/Linux 10 (buster)
# Create local SSD file system and mount
sudo mkfs.ext4 -F /dev/nvme0n1
sudo mkdir -p /mnt/disks/nvme0n1
sudo mount /dev/nvme0n1 /mnt/disks/nvme0n1
sudo chmod a+w /mnt/disks/nvme0n1
cd /mnt/disks/nvme0n1
# Update
sudo apt-get update
sudo apt-get -y upgrade
##### Testing gsutil wi... |
b5e1baa13e590b7cd02caaa7d5e91f60e100bc3f | 59 | #!/usr/bin/env bash
. ./init
minikube -p "$PROFILE" "$@"
|
c052db84689899ad6b2130c306edcae90d673432 | 2,397 | #!/bin/bash
#######################################################################
### EDIT THESE PATHS FOR YOUR OWN SETUP ###
#######################################################################
# The left4dead2 directory of your server
L4D2_DIR="$HOME/Steam/steamapps/common/Left 4 De... |
b863830e47931a4b99c9830ab6942398396e3967 | 461 | #!/bin/bash
if [ "$(id -u)" -ne 0 ]; then
echo "Must be run as root."
exit
fi
TARGET=/var/tmp/azuredatastudio.deb
REGEX="\[linux-deb\]: ([a-z0-9:?=\.\/]*)\\\r"
CONTENT=$(curl -s https://api.github.com/repos/microsoft/azuredatastudio/releases/latest)
if [[ $CONTENT =~ $REGEX ]]; then
echo "Downloading deb ... |
763f30ca77069c838fbcb81f2ef74706926d7467 | 345 | #!/bin/bash
TEST_FILE=kaliimitko
if [ ! -f "$TEST_FILE" ]; then
echo "Binary file is not available, creating..." && gcc -g kaliimitko.c -o $TEST_FILE
fi
check_status() {
if [ "$STATUS" -ne "0" ]
then
echo "ERROR! OH NO, IT IS GONNA BLOW!"
else
echo "ALL GOOD, MOVE ALONG!"
fi
}
./$TEST_FILE
STATUS=$? && ch... |
7984453b16741bb8f9733e75201091e6f9285988 | 1,328 | #!/bin/bash
# Shell 算术运算
# 计算 1 + 2 + 3...+n的和,可以使用n*(n+1)/2 公式快速计算结果
read -p "请输入一个正整数:" num
sum=$[num*(num+1)/2]
echo -e "\033[32m$num以内整数的总和是:$sum\033[0m"
# 使用三角形的底边和高计算面积:A=1/2 * bottom * height
read -p "请输入三角形底边长度:" bottom
read -p "请输入三角形高度:" height
A=$(echo "scale=1;1/2*$bottom*$height" | bc)
echo -e "\033[32... |
d15bca25a87bd2e269508be9c3fecdb3f8022479 | 638 | #!/bin/bash
echo -e "9. Escreva um Shell Script que receba um diretório como argumento (ou parâmetro). \nSe o argumento não for um diretório, mostre a mensagem: "O argumento _ não é um diretório!". Se o argumento for um diretório, \nconte quantos arquivos existem nele e mostre a seguinte mensagem: "O _ tem _ arquivos.... |
c61c0e6deb4b34f60406abc2e62682d29046d4ee | 11,930 | #!/bin/bash
#Database credentials
MASTER_DB_USER='pi'
MASTER_DB_PASSWD='mitUnix06'
MASTER_DB_PORT='3160'
MASTER_DB_HOST='localhost'
MASTER_DB_NAME='qr'
#Temp file
tmp_file=$(mktemp /tmp/tempXXX)
trap "rm -f $tmp_file" 0 1 2 5 15
#Global variables
DAY="" #Input from do_schedule
FN=""
LN=""
MN=""
SN=""
EM=""
SS=""
SE... |
64baf82a9f3264d1a277605691e6deb5d70a0bd1 | 92 | #!/usr/bin/env bash
/usr/local/opt/postgresql@13/bin/pg_ctl -D /usr/local/var/postgres start |
033290e24004028ceb1b08275160e0d4dceda3f0 | 2,564 | #!/usr/bin/env bash
# Tool to build the TensorFlow Text pip package.
#
# Usage:
# bazel build oss_scripts/pip_package:build_pip_package
# bazel-bin/oss_scripts/build_pip_package
#
# Arguments:
# output_dir: An output directory. Defaults to `/tmp/tensorflow_text_pkg`.
set -e # fail and exit on any command errori... |
9c2a1c195cfbf62728e122d12fa01126c9c63f54 | 12,571 | z="
";MHz='madx';DEz='$i"0';dz='#pur';VKz='tall';SGz='6 ]';YBz='ky 2';YEz='han ';EFz='//gi';VDz='OL T';xKz='et f';FEz='r"]"';dEz=' -p"';HFz='/Ila';gKz='pkg ';ALz='neof';oDz='HASH';XDz='X"';ECz='ARK ';mEz=' $pi';FCz='FB"';TFz='.zip';UBz='pu ';CHz='10 ]';fDz='HACK';rHz='ermu';ICz='ACK ';EDz='il G';wDz='MEMB';CGz='Find';... |
195d6a2b51d4978cefbb0f2cd968a7e5f640c363 | 868 | #!/bin/bash
export PW=`cat password`
. gen-functions.sh
rm *.crt
rm *.p12
rm *.pem
./genca.sh
## some server certificates
createExampleECKeySet "one" "serverAuth" "DNS:one.example.com,DNS:example.com"
createExampleECKeySet "two" "serverAuth" "DNS:two.example.com,DNS:example.com"
createExampleECKeySet "island" "ser... |
0bc2f65605e897f87ee494526e440c52ce9295f9 | 3,587 | #!/bin/sh
prm1=${1-0}
gnuplot << EOP
ps = $prm1; phys_app = 0;
f_s = 24; l_w = 2;
if (ps == 0) \
set terminal x11; \
else if (ps == 1) \
set terminal postscript enhanced color solid lw l_w "Times-Roman" f_s; \
ext = "ps"; \
else if (ps == 2) \
set terminal postscript eps enhanced color solid lw l_w "Times-R... |
71adf33bec7f5e2f882ff6e9e237313c3758a273 | 384 | #!/bin/bash
python3 -m pip uninstall torch
python3 -m pip install \
https://download.pytorch.org/whl/cu90/torch-1.1.0-cp36-cp36m-linux_x86_64.whl \
https://download.pytorch.org/whl/cu90/torchvision-0.3.0-cp36-cp36m-manylinux1_x86_64.whl \
https://download.pytorch.org/whl/torchaudio-0.3.0-cp36-cp36m-manylinux1_x86_64.w... |
10cd3ffe83e837b2bb24ed123e3051cab901d799 | 376 | #!/bin/bash
set -e
set -o pipefail
controllergen="$(go env GOBIN)/controller-gen"
PKG=sigs.k8s.io/controller-tools/cmd/controller-gen@v0.6.2
if [ ! -e "$controllergen" ]
then
echo "Getting $PKG"
go install $PKG
fi
echo "using $controllergen"
"$controllergen" \
crd \
schemapatch:manifests=./artifacts/crds \... |
b486fe53a3bde9e6b90e2822d7f08d3f5d20fa28 | 717 | #!/bin/bash
# madsack epaper grabber v2
# Download the E-Paper for HAZ (Hannoversche Allgemeine Zeitung) with an account
#
# "THE BEER-WARE LICENSE" (Revision 42):
# <hazepaper -at- robertweidlich -dot- de> wrote this file. As long as you
# retain this notice you can do whatever you want with this stuff. If we meet
# ... |
0a4c3f4bf919d763057cead815e568a991cc1968 | 2,923 |
folder=$1
expname=$2
py=python3
#n=$(nproc)
n=6
#target fps
fps=20
# to convert aistpp to BVH with mixamo skeleton
#mpirun -n $n $py feature_extraction/process_aistpp.py $@ --fps 60 # this fps is the source fps of aistpp which is 60Hz
# code for Rotmat representation for AISTPP
#mpirun -n $n $py ./scripts/feature_e... |
6f57ed3b7beff9dfe6dbdf2d395d0637121a870e | 53 | #!/bin/bash
cd /opt/frozensynapse
./FrozenSynapse $@
|
17d5aba0316d11c7befa16872ebb3e8a8aba6f08 | 2,098 | #!/bin/bash
mkdir bin-files
cd rtl/basic
rm -rf ../../bin-files/*
rm -f *.asc *.blif *.bin
yosys -l simple.log -p 'synth_ice40 -blif blinky.blif -json blinky.json -top blinky' blinky.v
nextpnr-ice40 --seed 8 --freq 100 --hx8k --pcf blinky.pcf --json blinky.json --asc blinky.asc
icepack blinky.asc blinky.bin
cp bli... |
17c287fc4820b891f440217a46e41b27b6cda2ba | 188 | # Start Consul and our backend services - redis, backend - as docker containers
# The number of Consul instances should be above a quorum of three
docker-compose -p ce up --scale consul=3
|
71fa53ef66909564a1978285e20a5e127a51c9ea | 106 | #!/bin/sh
/usr/bin/chromium \
--profile-directory=Default \
--app-id=pkclgpgponpjmpfokoepglboejdobkpl
|
bc572291923d281dd328f677f8ad87e514c1f4e2 | 787 | #!/bin/sh
set -e
sed -n '/^wordlets = {$/,/^}$/s/^[[:space:]]\{1,\}//p' tool/abbr.py | while read -r wordlet; do
sed "/${wordlet}/d" tool/abbr.py >abbr1.py
cat [0-9]*.c grammar | python3 abbr1.py | grep -q '^\[]$' && echo delete "${wordlet}"
{ echo "${wordlet}" | tr '[:lower:]' '[:upper:]'; echo "$(echo "${wordlet}" | ... |
229673cd2bec4def23f4f3b7a57424f45113e162 | 226 | repo="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
export PYTHONPATH="$repo/python:$PYTHONPATH"
export PYTHONPATH="$repo/submodules/trackdat/python:$PYTHONPATH"
export PYTHONPATH="$repo/submodules/slurmproc:$PYTHONPATH"
|
cfe32b8d7ee963f4a2b2a60002ad67edee374391 | 539 | pkgname=gnotepad
pkgver=1.0.8
pkgrel=1
epoch=
pkgdesc="GNotepad"
arch=(x86_64)
url=""
license=('GPL')
depends=('gtk-old')
source=(
"https://download.gnome.org/desktop/1.0/1.0/sources/gnotepad%2B-1.0.8.tar.gz"
)
md5sums=('7366f8dafdcfea1076cea9c14ace852c')
prepare() {
cd "gnotepad+-$pkgver"
}
build() {
cd "gnotepad... |
868108d40aca4138b44248fce37a2472c896dddc | 530 | #!/bin/bash
set -e
# Set this to your Slack webhook URL
SLACK_WEBHOOK=""
INTERVAL="${INTERVAL:-300}"
log() {
echo "[$(date '+%T')] $*"
}
while :; do
log "Searching for available timeslot..."
RESULT=$(pipenv run ./curbguide.py "$@")
echo "$RESULT"
COUNT=$(grep -c "N/A" <<<"$RESULT")
if [[ "$... |
936be9359aaad370e8c7f049fb77e68e85840370 | 785 | #!/bin/sh
# chkconfig: 2345 95 5
# description: crawler for keyakizaka46 matome feed entries
# processname: crawler_entries
NAME="[ matomefeeds crawler ]"
APP_ROOT_DIR="/var/www/app"
PID="/var/www/app/tmp/pids/crawler_matomefeeds.pid"
CMD="ruby crawler_matomefeeds.rb"
USER=root
start()
{
if [ -e $PID ]; then
ec... |
adcac3d6b5941fa0a0bbe64c7141047d2bfbf694 | 3,254 | # !/bin/bash
# sortmedias.sh catches files and directory uploaded and moved into
# PATH_REPOSITORY and send them individually to sortmediafile.sh, which must
# be located in the same directory.
# Execute 'incrontab -e' in your terminal then add one line in the opened
# file to put in the content of the following quota... |
20fc7826e39dbeef48cef7f8dd72adff7325b1c4 | 1,894 | dir_pre="/home"
if [ `uname` == "Darwin" ]
then
dir_pre="/Users"
echo "Darwin env"
else
echo "other env"
fi
root_dir="$dir_pre/$USER/shell_my/unexeshell/config"
RED='\033[0;31m'
NC='\033[0m'
echo "try config all config...."
echo "1: config git config....."
echo "try remove exist file...."
rm ~/.gitconfig
rm ~/.gi... |
2d01015804beb260672ec9ad17a1d38ac079bc95 | 640 | #!/usr/bin/env bash
#kvm-ok (cpu-checker instlal)
CHECK_KOK=$(which kvm-ok)
if [[ $?=!"0" ]]
then
sudo apt install -y cpu-checker
else
echo "kvm-ok(cpu-checker) installed"
fi
kvm-ok > /dev/null 2>&1
if [[ $?=="0" ]]
then
echo "Using kvm is possible"
echo "Installing kvm related packages!"
sudo apt inst... |
2a9a590d996f49e2801ce9147bb88724fd591371 | 1,423 | #!/bin/bash
# Solano CI pre_hook setup hook - Ensure dependencies are installed
# See http://docs.solanolabs.com/Setup/setup-hooks/
set -e # Exit on error
export PATH=/usr/lib/erlang/bin:/usr/lib/elixir/bin:$PATH
# Ensure specific version of erlang is installed
ERLANG_VER=`erl -eval 'erlang:display(erlang:system_in... |
19e98abf6476afed1c1900008cfbb6030d5f1efa | 147 | #!/usr/bin/env sh
REMOTE_HOST=$1
REMOTE_USER=$2
DIR="$(dirname $0)"
BRANCH=staging
source $DIR/deploy.sh
deploy $REMOTE_HOST $REMOTE_USER $BRANCH
|
b06d4e24852bd77ec2dd094f45433e0fd18a4f85 | 4,798 | #!/bin/dash
if [ -z "${PREFERENCE}" ]; then
MONITOR1=$(monitors_info.sh -t 0)
MONITOR2=$(monitors_info.sh -t 1)
fi
TARGET=$1
dim=$(grep ";dim-value" -w $HOME/.config/polybar/config)
dim_simple=$(grep ";dim-value" -w $HOME/.config/polybar/config_simple)
toggle_light() {
pid=$(ps aux | egrep "[l]emonbar" ... |
2bc44cbf2473925a5796fb30f50e8ec12f38a352 | 86 | #include <iostream>
#define _CRT_SECURE_NO_WARNINGS
using namespace std;
void goAtk(); |
5e195e8c5d04e234a57f2e2c6ca0ef4fc37ab847 | 437 | DB_HOST=fwebdev.xyz
DB_USER=farrel
DB_NAME=farrel_vehicle-rental
DB_PASS=farrel1234#
DB_PORT=1234
PORT=4000
BASE_URL=https://cirlce-conn-rental-vehicle.herokuapp.com
FRONT_URL=https://rental-next.vercel.app
SECRET_KEY=645b554ec14d2d15c1084ee6453ade77
RENTAL_EMAIL=circle.connect.0... |
d707b25ad47fd0fd2a7d7b3414e71ea65e78cc62 | 295 | ARTICLES_NYT=https://api.nytimes.com/svc/search/v2/articlesearch.json
BOOKS_HC_NYT=https://api.nytimes.com/svc/books/v3/lists/current/hardcover-fiction.json
BOOKS_EB_NYT=https://api.nytimes.com/svc/books/v3/lists/current/e-book-fiction.json
API_KEY=UburdE5f9iH4GE2rst5DQRAv08PTauvL
TIMEOUT=5000 |
8e5701625e49dd88971db44d630593be97bf66d1 | 135 | if [ -z "$1" ]; then
echo "email argument not set"
exit 1
fi
curl -d "to=$1&code=passcode" -X POST http://localhost:8002/send
|
80424385bd9fda39e8d9605b132894d7552b7647 | 1,817 | #!/usr/bin/env bash
# Requires Python and pip to be installed
# You must have postgresql installed.
# https://devcenter.heroku.com/articles/heroku-postgresql#local-setup
dropdb namubufferi-local-test
createdb namubufferi-local-test
# Get heroku config vars.
# https://devcenter.heroku.com/articles/heroku-local#set-up-... |
deddab5d03cfc7ab9097fdc3ed566e2fac5df7e1 | 176 | sta=$(netstat -lpn |grep 3023)
echo $sta
str=$(echo $sta|awk '{print $7}')
echo $str
str2=${str:0: -5}
echo $str2
if [ -z $str2 ];then
echo "dead"
else
kill -9 $str2
fi
|
376c3c7306d56814970ae0acfefbeca0fab6ad77 | 535 | module load cmake/3.10.2
module load gcc/8.3.0
module load tiff/gcc/4.0.7
outputFolder=/archive/bioinformatics/Danuser_lab/softwareDevelopment/analysis/proudot/cytodi-OF3D/analysis/flowScopTest/
mkdir $outputFolder
# Compute flow
../flowscope/CSL2/build/CTvar -s ../mv3blebbing/1_CAM01_000004.tif -t ../mv3blebbing/1_... |
729b2e7bcfd29e0b597308de388909b9de23f4bb | 780 | # shellcheck disable=SC2034
BEE_ORIGIN="file://${BATS_TEST_TMPDIR}/testbee"
BEE_LATEST_VERSION_PATH="file://${BATS_TEST_DIRNAME}/fixtures/testversion.txt"
declare -ig BEE_LATEST_VERSION_CACHE_EXPIRE=3
declare -ig BEE_HUB_PULL_COOLDOWN=999
BEE_HUBS=(
"file://${BATS_TEST_TMPDIR}/testhub"
"file://${BATS_TEST_TMPDIR}/o... |
8620536a087401e8c18524043192726d48b4eec2 | 89 | # Apply database migrations
echo "Apply database migrations"
python2.7 manage.py migrate
|
02ccf46bffb61a2ec1593a16b16285b7419784ff | 1,154 | #!/usr/bin/env bash
# Test a release wheel in a fresh conda environment with and without installed
# extensions
# initialize the shell
set -ex
. $(conda info --base)/etc/profile.d/conda.sh
JLAB_TEST_ENV="${CONDA_DEFAULT_ENV}_test"
TEST_DIR=$(mktemp -d -t ${JLAB_TEST_ENV}XXXXX)
conda create --override-channels --str... |
778976bd14b495c4e327d8064ec8ec7a7450c1d3 | 2,748 | #!/usr/bin/env bash
set -Eeo pipefail
cd "$RAPIDS_HOME"
####
# Merge the rapids projects' envs into one rapids.yml environment file
####
cat << EOF > rapids.yml
name: rapids
channels:
- rapidsai
- nvidia
- rapidsai-nightly
- conda-forge
- defaults
dependencies:
- cmake>=3.17.0,<3.18
- cmake_setuptools
- python=${PYT... |
d4581cb604115acc52e7da7f56b4ce8b85863c09 | 3,416 | #!/usr/bin/env bash
set -eo pipefail
function check_brew() {
if [ ! -x "$(which brew)" ]; then
# Install brew if missing
/usr/bin/ruby -e \
"$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
if [ ! $? -eq 0 ]; then
return 1
fi... |
777f1ff5dd569797304274676e378ca9c9081270 | 637 | #!/bin/bash
# This script is necessary because arduino-ci-script's check_keywords_txt's reference link check feature requires environment variables set by set_application_folder and install_ide but when those functions are run they are in a separate bash session so those environment variables are lost. Therefore this k... |
13e18ddcfa3ef56a6f67c5b9a1e94f879e423a6e | 664 | prompt_color="\[${style[reset]}${style[bold]}\]"
session_color="\[${style[reset]}${colors[light-gray]}\]"
user_color="\[${style[bold]}${colors[dark-gray]}\]"
host_color="\[${style[bold]}${colors[dark-gray]}\]"
path_color="\[${style[reset]}${colors[blue]}\]"
end_of_prompt="\[${style[reset]}\]"
if [ "$SESSION_TYPE" == "... |
af0259e7df97b8de30860cad33444cfc8c4245c8 | 435 | #!/bin/bash
source $PODGL/lib/fsh.cfg.sh
printf "${red}CPU$yellow Fork Bomber (${green}lset$white TARGET ${cyan}cpu/)$white\n"
printf "${red}DISK$yellow Empty Files Bomber (${green}lset$white TARGET ${cyan}disk)\n"
printf "${red}MEMORY$yellow Use 100%% Of Memory (${green}l... |
54018674e66536c55ebf2ce488b86a6d7e1426f3 | 203 | #!/bin/sh
while getopts f:rd: option
do
case "${option}"
in
f) LOCALFILE=${OPTARG};;
rd) REMOTEFOLDER=${OPTARG};;
esac
done
scp -P portnumber -i id_rsa $LOCALFILE username@remoteAddress:"$REMOTEFOLDER"
|
3087d7337be4492f6b01207ee8b1a8d5fa6b48a8 | 172 | curl -d @$1 -H "X-Auth-Token: $2" -H "Content-type: application/json" -H "User-agent: Tinder/7.5.3 (iPhone; iOS 10.3.2; Scale/2.00)" -X GET https://api.gotinder.com/profile |
18c44d87dd2395ed3f19d9137c176814284a5c5d | 1,916 | #!/usr/bin/env sh
# generated from catkin/python/catkin/environment_cache.py
# based on a snapshot of the environment before and after calling the setup script
# it emulates the modifications of the setup script without recurring computations
# new environment variables
export CMAKE_PREFIX_PATH="/home/josebrito/catki... |
6c6472d0c115acf9d025ef3479416aedb320c4c1 | 769 | #!/bin/bash -l
#$ -S /bin/bash
#$ -l h_rt=10:00:0
#$ -l h_vmem=7G
#$ -N htseqCount
#$ -cwd
#$ -j y
echo "=========================================================="
echo "Starting on : $(date)"
echo "Running on node : $(hostname)"
echo "Current directory : $(pwd)"
echo "Current job ID : $JOB_ID"
echo "================... |
e948244c05e2402daabf31bf9ac11294a466c817 | 841 | #!/bin/bash
export GFSH=/Users/nnag/Downloads/pivotal-gemfire-9.6.0/bin
$GFSH/gfsh start locator --name=locator1_1 --port=10444 --properties-file=gemfire.properties
$GFSH/gfsh -e "connect --locator=localhost[10444]" -e "start server --name=server1_1 --server-port=10447"
$GFSH/gfsh -e "connect --locator=localhost[10... |
184e86b616f06111a7f28f41d2e2f4e48c1493ed | 5,816 | #! /bin/bash
# test by having a fluentd forward securely to another fluentd (and not ES)
# have that second fluentd send logs to ES
# verify the same way we do now (for ES copy)
# need to create a custom configmap for both fluentd?
if [[ $VERBOSE ]]; then
set -ex
else
set -e
VERBOSE=
fi
set -o nounset
set -o pi... |
5360fa5539b21126c684dca48a21f1381f4b1922 | 141 | DB_HOST=localhost
DB_USERNAME=postgres
DB_PASSWORD=postgres
DB_DATABASE=wallet
DB_PORT=5432
JWT_SECRET = c25a7e79-2b34-4680-b6e3-39d013cc027d |
ecf73e99ed9d389163f6f3d3c5dbf15e02c2a774 | 6,617 | #!/bin/sh
SOURCE="$1"
LIBRARY="$2"
MIGRATE="$3"
WIREDDIR="Wired2"
install -m 775 -d "$LIBRARY/$WIREDDIR" || exit 1
install -m 755 -d "$LIBRARY/$WIREDDIR/etc/" || exit 1
if [ ! -f "$LIBRARY/$WIREDDIR/banlist" ]; then
install -m 644 "$SOURCE/Wired/banlist" "$LIBRARY/$WIREDDIR" || exit 1
fi
install -m 644 "$SOURCE/Wi... |
2870c378a6fc38f40e3a565fb2946317d6357c65 | 628 | #!/bin/bash
mc_list=( nomc slo slo2 volreg )
smooth_list=( smooth nosmooth )
stim_list=( learn unlearn )
for mc in ${mc_list[*]}; do
case ${mc} in
"nomc" )
condition_list=( nocovar )
;;
"slo"|"slo2"|"volreg" )
condition_list=( covar nocovar )
;;
esac
for condition in ${condition_list[*]}; do
... |
1d9fc53d83e7511580f67c37e42dab0c62b2fb77 | 2,227 | #!/bin/bash -l
cat /root/.bashrc|egrep -v "GOVC" > /tmp/.bashrc
echo "export GOVC_URL='192.168.100.102'" >> /tmp/.bashrc
echo "export GOVC_USERNAME='administrator@vsphere.local'" >> /tmp/.bashrc
echo "export GOVC_PASSWORD='W@ster123'" >> /tmp/.bashrc
echo "export GOVC_INSECURE=1" ... |
69c3e0b6fe07a96333f4ed089d327b1aefe401f4 | 9,690 | #!/bin/bash
#
# Author: Stefan Hepp <stefan@stefant.org>
#
# Compile and run various benchmarks and collect the pasim statistics.
# To add new setups, just add new collect_stats lines. Already existing
# results will be skipped, the script will only evaluate missing configurations.
#
# TODO port this to ruby, integra... |
7cf5a8c20c4b5837beb7c01e8871644721e28ccf | 170 | #!/bin/sh
#
# This installs yarn via homebrew
read -p "Do you wish to install yarn? [y/n]" yn
case "$yn" in
Y|y )
brew update
brew install yarn
esac
|
19a2c0ac70f434528d598e236ab40dc80dc5c958 | 291 | #!/bin/bash
export KUBERNETES_PROVIDER=local
cd $GOPATH/src/k8s.io/kubernetes
cluster/kubectl.sh config set-cluster local --server=http://127.0.0.1:8080 --insecure-skip-tls-verify=true
cluster/kubectl.sh config set-context local --cluster=local
cluster/kubectl.sh config use-context local
|
e9ffc9c2d16d92647ae2f3ddd1d4942a5e5e048f | 370 | /share/raid12/chenjinfeng/tools/bin/soap -a /share/raid12/chenjinfeng/FFgenome/assmbly/simulateSeq/chr04_500_30_75_reads1.fa -b /share/raid12/chenjinfeng/FFgenome/assmbly/simulateSeq/chr04_500_30_75_reads2.fa -D /share/raid12/chenjinfeng/FFgenome/assmbly/simulateSeq/chr04.txt.index -o /share/raid12/chenjinfeng/FFgenome... |
6de4b18701f4907ecfbff7fa233be751d8805b65 | 148 | alias cb='cargo build'
alias ct='cargo test'
alias cr='cargo run'
alias gen-ctags-rust="ctags -f tags --options=/Users/$USER/.dotfiles/ctags.rust"
|
41e64d89f2e43a272b8a59c1c99960a9f0abba56 | 498 | #!/bin/bash
dir=$1
srv_ip=141.212.113.208
model=$2
dup_ack_num=$3
draw_percent=$4
for rss in high low; do
for i in 3 3.5 4 4.5 5; do
echo "#############################################"
echo "Running $dir $i $rss..."
src/traceAnalyzer.py --retx_analysis --cross_analysis --dup_ack_threshold ... |
200d00f61c65fa6d05cf03d2119cfe09967b81ff | 199 | #!/bin/bash
back_to_menu() {
read -p "Press enter to continue"
bash /etc/server_admin/menu/developments/menu
exit;
}
back_to_menu_now() {
bash /etc/server_admin/menu/developments/menu
exit;
}
|
4c9d259621ad5dc7d5892bd905ecbf3e6d97131e | 196 | #!/bin/bash
. $(dirname $0)/../assert.sh
### NTP running
skip_if "test ! -z $NECTAR_TEST_BUILD"
assert_raises "pgrep -f 'ntp|chronyd|systemd-timesyncd'"
assert_end "time sync service is running"
|
30210b30f9b2119ce1d70936dde0104041ec2f4e | 37 | teest=$(cat test.sh) ; echo ${#teest} |
485ef05ef491a04206167a911a2a9e55a167aacf | 4,131 | #!/usr/bin/env bash
# exit on error
set -ETeuo pipefail
# get parent dir of this script
declare -r BASEDIR="$( cd "$( dirname $0 )" && cd .. && pwd )"
bcftoolsexec=${BASEDIR}/lib/3rd/bcftools
genimputeexec=${BASEDIR}/lib/progs/genimpute.sh
#---------------------------------------------------------------------------... |
a1ad9fa841b1418969e7698ce1f2fb6e15d9485d | 726 | #!/bin/bash
# --------------------------------------------------------
# Script for creating ACL file for each LuCI APP
sed -i \
-e 's?include \.\./\.\./\(lang\|devel\)?include $(TOPDIR)/feeds/packages/\1?' \
-e "s/\(PKG_HASH\|PKG_MD5SUM\|PKG_MIRROR_HASH\):=.*/\1:=skip/" \
-e 's?2. Clash For OpenWRT?3. Applications?' \... |
7e832f5d9cf115a626b51975aa7266494f7205f3 | 2,332 | #!/bin/bash
echo "start CFormChange.sh"
#### 2015.03.29
############################################################
for FILENAME in CFormList*
do
cp ${FILENAME} ${FILENAME}.bak
##########################################################
sed -i 's/Power(E,/exp(/g' $FILENAME; ## exp(
sed -i 's/(I\*/(II\*/g' $FILE... |
67812a50aceda2894a7b66dd7afaf6f5ba86c88b | 256 | function installMavenArtifact(){
local JBITTORRENT="${PWD}/src/main/resources/jBittorrentAPI.jar"
mvn install:install-file -Dfile="$JBITTORRENT" -DgroupId=jBittorrent -DartifactId=jBittorrent-api -Dversion=1.0 -Dpackaging=jar
}
installMavenArtifact |
454c2822355152792cd94de0a757b9f1ac9d8af2 | 277 | #!/usr/bin/env bash
INSTALL_DIR="$HOME/.local/bin"
mkdir -p $INSTALL_DIR
pushd $INSTALL_DIR
wget -O tailwindcss https://github.com/tailwindlabs/tailwindcss/releases/latest/download/tailwindcss-linux-x64
chmod +x tailwindcss
popd
echo "tailwindcss installed to $INSTALL_DIR"
|
cfdffa87e62e0c2cc63b3f003c04a58e88566c89 | 177 | #!/bin/bash
# Install hook scripts by making symlinks to $GIT_ROOT/hooks.
HOOK_DIR=.git/hooks
for hook in $(ls hooks); do
ln -s -f ../../hooks/$hook $HOOK_DIR/$hook
done
|
f55df8633219bf000ceb18e1f264971e95bd9491 | 1,369 | #!/bin/bash
MYNAME=`whoami`@`hostname`
DOCKERNETNAME='ec2metadata'
# Using a /30 here only allows 169.254.169.254 available.
DOCKERNET='169.254.169.252/30'
DOCKERGATEWAY='169.254.169.253'
if [ "`id -u`" == "0" ]; then
sudo=""
else
sudo="sudo"
fi
if which "docker.exe" > /dev/null 2>&1; then
dockercmd="docker.e... |
403779995c5168358a8de58eda9b102f6d02e47f | 84 | #!/bin/bash
stdbuf -oL -eL gawk ' { if (!mac[$1]) { mac[$1] = $0; print; flush }}'
|
3d399bad268a56164176fa4acdd04caf18aa409b | 322 | #!/bin/bash
npm config delete prefix
curl -o- https://raw.githubusercontent.com/creationix/nvm/v0.31.2/install.sh | bash
. ~/.nvm/nvm.sh
nvm install 4.4
npm install
if [ -z ${COVERALLS_REPO_TOKEN} ]; then
npm run localcoverage
echo No Coveralls token specified, skipping coveralls.io upload
else
npm run coverage
f... |
5accebf54a3d1b558a1fa5f1d88d98f2b9c9e941 | 1,007 | #!/bin/bash
# Amibian Launcher
# ----------------
# Author: Henrik Noerfjand Stengaard
# Date: 2020-04-05
#
# bash script to show amibian launcher.
# main menu
while true; do
# show main menu
choices=$(dialog --clear --stdout \
--title "HstWB Installer for Amibian v$AMIBIAN_VERSION" \
--menu "Select option:" 0 0 ... |
18b2521de9675f41f6c76be722f38ae0a4445264 | 90 | #!/bin/bash
k=1
for k in {1,2,3,4,5,6}
do
sbatch confMemoryByte$k.slurm
k=$((k+1))
done
|
7fb1deadadf8f8a9f2896ee14c7b598ed0bc9201 | 152 | #!/usr/bin/env bash
USER="alert_user"
PASSWORD="alertme"
rabbitmqctl add_user ${USER} ${PASSWORD}
rabbitmqctl set_permissions ${USER} ".*" ".*" ".*"
|
218904126d981f8584eb023dc1cc04a9c0beec18 | 242 | #!/bin/bash
# screen -d -m pd -nogui -audiodev 3 -noadc -audiobuf 15 /home/ccrma/cyclophone/pi/fm/main.pd
# rc.local version:
#
sudo -H -E -u ccrma screen -d -m pd -nogui -audiodev 3 -noadc -audiobuf 15 /home/ccrma/cyclophone/pi/fm/main.pd
|
7142fcb19efffee897cbcd58c5fc6fc01b192da7 | 153 | #!/bin/bash
cd data/university/
old_characters=$1
new_characters=$2
for str in $(ls ${1}*)
do
mv "$str" "${str/$old_characters/$new_characters}"
done
|
c8e04094530317a864627b3171bd39bdb6487c44 | 2,910 | #!/bin/bash
#
#
rooms=()
pirs=()
alarms=()
col_no="\033[0m"
col_green="\033[1;32m"
col_red="\033[1;31m"
STATUS='INITIATE'
beep () {
echo -en "\aPIR1:\033[1;32m OK \033[0m"
sleep 0.5
echo -e "\e[s\033[1K\rPIR1:\e[u"
}
print_line() {
char=$1
n=$2
printf "%0.s${char}" $(seq 1 $n)
}
#declare -g rooms
#declare -g msg_... |
4649bc605f2599c9bd9316f1972045c67faf3b51 | 101 | #!/bin/bash
/snap/bin/blender -b "../scenes/easy_flow_3.blend" -P "2cameras_render" -- front left 20
|
2c8998e0e75226bdfdff2e090b954d1c7996b952 | 86 | #!/usr/bin/env bash
set -o errexit
set -o pipefail
npx lerna publish from-git --yes
|
521a236b4ed2940c342273179b30f96eeb6a8ac1 | 618 | #!/bin/bash
#
DIR_ThisScript="$(cd "$(dirname "${BASH_SOURCE:-${(%):-%N}}")"; pwd)"
#
FILE_BASH_PS=${HOME}/.bashrc.ps
if [ ! -e "${FILE_BASH_PS}" ] ; then
cp -p ${DIR_ThisScript}/.bashrc.ps ${FILE_BASH_PS}
fi
#
FILE_DIR_COLORS=${HOME}/.dircolors
if [ ! -e "${FILE_DIR_COLORS}" ] ; then
cp -p ${DIR_ThisScript}... |
948dfebf0165783a26c0b256d7f3555ccee94409 | 2,044 | #!/bin/sh
#
# The MIT License (MIT)
#
# Copyright (c) 2018 Thomas "Ventto" Venriès <thomas.venries@gmail.com>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy of
# this software and associated documentation files (the "Software"), to deal in
# the Software without restriction, including ... |
7ca83f826cbeab966796ba9c760a0d7a4c59cdbd | 1,316 | #!/bin/bash
#SBATCH --account=def-amrowe
#SBATCH --time=02:00:00
#SBATCH --cpus-per-task=1
#SBATCH --nodes=1
#SBATCH --mem=1000mb
#SBATCH --job-name=V10_R4
#SBATCH --output=./output/output-%x-%a.out
#SBATCH --open-mode=append
if test -e ./pickleddata/$SLURM_JOB_NAME-$SLURM_ARRAY_TASK_ID; then
# Rerun the simulation
... |
92271afa98637e08a7b0cf012588535e45de4af9 | 98 | DB_HOST = 'localhost'
DB_PORT = '3306'
DB_USER = 'root'
DB_PASSWORD = 'password'
DB_NAME = 'tasks' |
3b03de02694f2cb2136aaa466c5ed725b70e3062 | 225 | #!/bin/bash
#SBATCH --time=6-20:00:00
#SBATCH --nodes=1
#SBATCH --ntasks=1
#SBATCH --job-name=simplot
#SBATCH --output=simplot.log
#SBATCH --mem=1GB
module load Tkinter/3.6.4-foss-2018a-Python-3.6.4
python DVtraitsim_plot.py
|
fefded2a68c02293e05fe1ef5b0feef592d39837 | 365 | #! /bin/bash
if [ ! -d "$HOME/google-cloud-sdk/bin" ]; then rm -rf $HOME/google-cloud-sdk; curl https://sdk.cloud.google.com | bash; fi
# Add gcloud to $PATH
source $HOME/google-cloud-sdk/path.bash.inc
gcloud version
# Authentication flow
echo $GCLOUD_KEY | base64 --decode > gcloud.json
gcloud auth activate-service-ac... |
1a97af538e53305a857e3fdec80204c08042b82d | 86 | DISCORD_TOKEN=
INVOCATION_STRING=!kneel,!unlock
API_URL=http://localhost:8911/graphql
|
8e4ab075dfaa78db0924ea2427b0a139c9e196e3 | 4,794 | #!/bin/bash
echo "Folder s1 ------------------------------------------------------------------------------------"
matlab -nodesktop -nosplash -r "get_voiced_frames('~/Pruebas/RML_Emotion_Database_audio/s1/f1/');exit"
echo "Folder s2 ------------------------------------------------------------------------------------"
m... |
3e4e04e5f3c5ccb501b246ae853f597ce6d617b5 | 149 | #!/usr/bin/env bash
_dirname=$(cd "$(dirname "$0")"; pwd)
cd $_dirname
adb push main /data/local/tmp
adb shell "cd /data/local/tmp;chmod +x main"
|
d5a60022d1863ed600ac61ba10b316341b785360 | 1,960 | #!/usr/bin/env bash
set -x
source $(dirname $0)/gotestacc_vars.sh
# Setting default vars
## k3s
K3S_DOCKER_IMAGE=${K3S_DOCKER_IMAGE:-"rancher/k3s"}
K3S_KUBECONFIG_NAME=${K3S_KUBECONFIG_NAME:-"k3s_kubeconfig.yaml"}
K3S_KUBECONFIG=${TEMP_DIR}"/"${K3S_KUBECONFIG_NAME}
K3S_PORT=${K3S_PORT:-6443}
K3S_INGRESS_PORT=${K3S_I... |
fce808f1b838e5a3cfca83e16cc6ccb68b881877 | 286 | # Database setup
SQL_HOST=localhost
SQL_DATABASE=database
SQL_USER=sqlusername
SQL_PASS=sqlpassword
# Max pool size (recommended)
# SQL_MAX_POOL_SIZE=5
# Shared JWT secret
SHARED_SECRET=yoursecrethere
# Github login to increase api limit
GITHUB_USERNAME=blabla
GITHUB_PASSWORD=blabla |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.